Ruby: ext/openssl/ossl_x509.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Functions | Variables
ossl_x509.h File Reference

Go to the source code of this file.

## Functions
ASN1_TIME * | ossl_x509_time_adjust (ASN1_TIME *, VALUE)
void | Init_ossl_x509 (void)
VALUE | ossl_x509attr_new (X509_ATTRIBUTE *)
X509_ATTRIBUTE * | GetX509AttrPtr (VALUE)
void | Init_ossl_x509attr (void)
VALUE | ossl_x509_new (X509 *)
X509 * | GetX509CertPtr (VALUE)
X509 * | DupX509CertPtr (VALUE)
void | Init_ossl_x509cert (void)
VALUE | ossl_x509crl_new (X509_CRL *)
X509_CRL * | GetX509CRLPtr (VALUE)
void | Init_ossl_x509crl (void)
VALUE | ossl_x509ext_new (X509_EXTENSION *)
X509_EXTENSION * | GetX509ExtPtr (VALUE)
void | Init_ossl_x509ext (void)
VALUE | ossl_x509name_new (X509_NAME *)
X509_NAME * | GetX509NamePtr (VALUE)
void | Init_ossl_x509name (void)
X509_REQ * | GetX509ReqPtr (VALUE)
void | Init_ossl_x509req (void)
VALUE | ossl_x509revoked_new (X509_REVOKED *)
X509_REVOKED * | DupX509RevokedPtr (VALUE)
void | Init_ossl_x509revoked (void)
X509_STORE * | GetX509StorePtr (VALUE)
void | Init_ossl_x509store (void)
int | ossl_verify_cb_call (VALUE, int, X509_STORE_CTX *)

## Variables
VALUE | mX509
VALUE | cX509Attr
VALUE | eX509AttrError
VALUE | cX509Cert
VALUE | eX509CertError
VALUE | cX509CRL
VALUE | eX509CRLError
VALUE | cX509Ext
VALUE | cX509ExtFactory
VALUE | eX509ExtError
VALUE | cX509Name
VALUE | eX509NameError
VALUE | cX509Req
VALUE | eX509ReqError
VALUE | cX509Rev
VALUE | eX509RevError
VALUE | cX509Store
VALUE | cX509StoreContext
VALUE | eX509StoreError

## Function Documentation

## ◆ DupX509CertPtr()

X509 * DupX509CertPtr | ( | VALUE | obj | ) |

Definition at line 81 of file ossl_x509cert.c.

References GetX509, and X509_up_ref.

## ◆ DupX509RevokedPtr()

X509_REVOKED * DupX509RevokedPtr | ( | VALUE | obj | ) |

Definition at line 71 of file ossl_x509revoked.c.

References eX509RevError, GetX509Rev, NULL, ossl_raise(), and X509_REVOKED_dup.

## ◆ GetX509AttrPtr()

X509_ATTRIBUTE * GetX509AttrPtr | ( | VALUE | obj | ) |

Definition at line 71 of file ossl_x509attr.c.

References GetX509Attr.

## ◆ GetX509CertPtr()

X509 * GetX509CertPtr | ( | VALUE | obj | ) |

Definition at line 71 of file ossl_x509cert.c.

References GetX509.

## ◆ GetX509CRLPtr()

X509_CRL * GetX509CRLPtr | ( | VALUE | obj | ) |

Definition at line 51 of file ossl_x509crl.c.

References GetX509CRL.

## ◆ GetX509ExtPtr()

X509_EXTENSION * GetX509ExtPtr | ( | VALUE | obj | ) |

Definition at line 85 of file ossl_x509ext.c.

References GetX509Ext.

## ◆ GetX509NamePtr()

X509_NAME * GetX509NamePtr | ( | VALUE | obj | ) |

Definition at line 76 of file ossl_x509name.c.

References GetX509Name, and name.

## ◆ GetX509ReqPtr()

X509_REQ * GetX509ReqPtr | ( | VALUE | obj | ) |

Definition at line 51 of file ossl_x509req.c.

References GetX509Req.

## ◆ GetX509StorePtr()

X509_STORE * GetX509StorePtr | ( | VALUE | obj | ) |

Definition at line 133 of file ossl_x509store.c.

References GetX509Store.

## ◆ Init_ossl_x509()

void Init_ossl_x509 | ( | void |  | ) |

Definition at line 30 of file ossl_x509.c.

References DefX509Const, DefX509Default, Init_ossl_x509attr(), Init_ossl_x509cert(), Init_ossl_x509crl(), Init_ossl_x509ext(), Init_ossl_x509name(), Init_ossl_x509req(), Init_ossl_x509revoked(), Init_ossl_x509store(), mOSSL, mX509, rb_define_module(), and rb_define_module_under().

Referenced by Init_openssl().

## ◆ Init_ossl_x509attr()

void Init_ossl_x509attr | ( | void |  | ) |

Definition at line 305 of file ossl_x509attr.c.

References cX509Attr, eOSSLError, eX509AttrError, mOSSL, mX509, rb_cObject, rb_define_alloc_func(), rb_define_class_under(), rb_define_method, rb_define_module(), rb_define_module_under(), and rb_eStandardError.

Referenced by Init_ossl_x509().

## ◆ Init_ossl_x509cert()

void Init_ossl_x509cert | ( | void |  | ) |

Definition at line 711 of file ossl_x509cert.c.

References cX509Cert, eOSSLError, eX509CertError, mOSSL, mX509, rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_method, rb_define_module(), rb_define_module_under(), and rb_eStandardError.

Referenced by Init_ossl_x509().

## ◆ Init_ossl_x509crl()

void Init_ossl_x509crl | ( | void |  | ) |

Definition at line 505 of file ossl_x509crl.c.

References cX509CRL, eOSSLError, eX509CRLError, mOSSL, mX509, rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_method, rb_define_module(), rb_define_module_under(), and rb_eStandardError.

Referenced by Init_ossl_x509().

## ◆ Init_ossl_x509ext()

void Init_ossl_x509ext | ( | void |  | ) |

Definition at line 451 of file ossl_x509ext.c.

References cX509Ext, cX509ExtFactory, eOSSLError, eX509ExtError, mOSSL, mX509, Qfalse, rb_attr(), rb_cObject, rb_define_alloc_func(), rb_define_class_under(), rb_define_method, rb_define_module(), rb_define_module_under(), rb_eStandardError, and rb_intern().

Referenced by Init_ossl_x509().

## ◆ Init_ossl_x509name()

void Init_ossl_x509name | ( | void |  | ) |

Definition at line 507 of file ossl_x509name.c.

References cX509Name, eOSSLError, eX509NameError, INT2NUM, mOSSL, mX509, rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_const(), rb_define_method, rb_define_module(), rb_define_module_under(), rb_eStandardError, rb_hash_aset(), rb_hash_new(), rb_include_module(), rb_intern(), rb_mComparable, rb_str_new2, RHASH_SET_IFNONE, and ULONG2NUM.

Referenced by Init_ossl_x509().

## ◆ Init_ossl_x509req()

void Init_ossl_x509req | ( | void |  | ) |

Definition at line 409 of file ossl_x509req.c.

References cX509Req, eOSSLError, eX509ReqError, mOSSL, mX509, rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_method, rb_define_module(), rb_define_module_under(), and rb_eStandardError.

Referenced by Init_ossl_x509().

## ◆ Init_ossl_x509revoked()

void Init_ossl_x509revoked | ( | void |  | ) |

Definition at line 276 of file ossl_x509revoked.c.

References cX509Rev, eOSSLError, eX509RevError, mOSSL, mX509, rb_cObject, rb_define_alloc_func(), rb_define_class_under(), rb_define_method, rb_define_module(), rb_define_module_under(), and rb_eStandardError.

Referenced by Init_ossl_x509().

## ◆ Init_ossl_x509store()

void Init_ossl_x509store | ( | void |  | ) |

Definition at line 789 of file ossl_x509store.c.

References cX509Store, cX509StoreContext, eOSSLError, eX509StoreError, mOSSL, mX509, ossl_raise(), Qfalse, rb_attr(), rb_cObject, rb_define_alloc_func(), rb_define_class_under(), rb_define_method, rb_define_module(), rb_define_module_under(), rb_eStandardError, rb_intern(), rb_undef_method(), and X509_STORE_get_ex_new_index.

Referenced by Init_ossl_x509().

## ◆ ossl_verify_cb_call()

int ossl_verify_cb_call | ( | VALUE | proc,
|  | int | ok,
|  | X509_STORE_CTX * | ctx
| ) |  |

Definition at line 62 of file ossl_x509store.c.

References NIL_P, NULL, ossl_verify_cb_args::preverify_ok, ossl_verify_cb_args::proc, Qfalse, Qnil, Qtrue, rb_protect(), rb_set_errinfo(), rb_warn(), RTYPEDDATA_DATA, and ossl_verify_cb_args::store_ctx.

## ◆ ossl_x509_new()

VALUE ossl_x509_new | ( | X509 * | x509 | ) |

Definition at line 51 of file ossl_x509cert.c.

References cX509Cert, eX509CertError, NewX509, NULL, ossl_raise(), and SetX509.

## ◆ ossl_x509_time_adjust()

ASN1_TIME * ossl_x509_time_adjust | ( | ASN1_TIME * | s,
|  | VALUE | time
| ) |  |

Definition at line 19 of file ossl_x509.c.

References ossl_time_split().

## ◆ ossl_x509attr_new()

VALUE ossl_x509attr_new | ( | X509_ATTRIBUTE * | attr | ) |

Definition at line 51 of file ossl_x509attr.c.

References cX509Attr, eX509AttrError, NewX509Attr, NULL, ossl_raise(), and SetX509Attr.

## ◆ ossl_x509crl_new()

VALUE ossl_x509crl_new | ( | X509_CRL * | crl | ) |

Definition at line 61 of file ossl_x509crl.c.

References cX509CRL, eX509CRLError, NewX509CRL, NULL, ossl_raise(), and SetX509CRL.

## ◆ ossl_x509ext_new()

VALUE ossl_x509ext_new | ( | X509_EXTENSION * | ext | ) |

Definition at line 65 of file ossl_x509ext.c.

References cX509Ext, eX509ExtError, NewX509Ext, NULL, ossl_raise(), and SetX509Ext.

## ◆ ossl_x509name_new()

VALUE ossl_x509name_new | ( | X509_NAME * | name | ) |

Definition at line 56 of file ossl_x509name.c.

References cX509Name, eX509NameError, name, NewX509Name, NULL, ossl_raise(), and SetX509Name.

## ◆ ossl_x509revoked_new()

VALUE ossl_x509revoked_new | ( | X509_REVOKED * | rev | ) |

Definition at line 51 of file ossl_x509revoked.c.

References cX509Rev, eX509RevError, NewX509Rev, NULL, ossl_raise(), SetX509Rev, and X509_REVOKED_dup.

## Variable Documentation

## ◆ cX509Attr

VALUE cX509Attr
| extern

Definition at line 30 of file ossl_x509attr.c.

Referenced by Init_ossl_x509attr(), and ossl_x509attr_new().

## ◆ cX509Cert

VALUE cX509Cert
| extern

Definition at line 30 of file ossl_x509cert.c.

Referenced by Init_ossl_x509cert(), and ossl_x509_new().

## ◆ cX509CRL

VALUE cX509CRL
| extern

Definition at line 30 of file ossl_x509crl.c.

Referenced by Init_ossl_x509crl(), and ossl_x509crl_new().

## ◆ cX509Ext

VALUE cX509Ext
| extern

Definition at line 43 of file ossl_x509ext.c.

Referenced by Init_ossl_x509ext(), and ossl_x509ext_new().

## ◆ cX509ExtFactory

VALUE cX509ExtFactory
| extern

Definition at line 44 of file ossl_x509ext.c.

Referenced by Init_ossl_x509ext().

## ◆ cX509Name

VALUE cX509Name
| extern

Definition at line 35 of file ossl_x509name.c.

Referenced by Init_ossl_x509name(), and ossl_x509name_new().

## ◆ cX509Req

VALUE cX509Req
| extern

Definition at line 30 of file ossl_x509req.c.

Referenced by Init_ossl_x509req().

## ◆ cX509Rev

VALUE cX509Rev
| extern

Definition at line 30 of file ossl_x509revoked.c.

Referenced by Init_ossl_x509revoked(), and ossl_x509revoked_new().

## ◆ cX509Store

VALUE cX509Store
| extern

Definition at line 104 of file ossl_x509store.c.

Referenced by Init_ossl_x509store().

## ◆ cX509StoreContext

VALUE cX509StoreContext
| extern

Definition at line 105 of file ossl_x509store.c.

Referenced by Init_ossl_x509store().

## ◆ eX509AttrError

VALUE eX509AttrError
| extern

Definition at line 31 of file ossl_x509attr.c.

Referenced by Init_ossl_x509attr(), and ossl_x509attr_new().

## ◆ eX509CertError

VALUE eX509CertError
| extern

Definition at line 31 of file ossl_x509cert.c.

Referenced by Init_ossl_x509cert(), and ossl_x509_new().

## ◆ eX509CRLError

VALUE eX509CRLError
| extern

Definition at line 31 of file ossl_x509crl.c.

Referenced by Init_ossl_x509crl(), and ossl_x509crl_new().

## ◆ eX509ExtError

VALUE eX509ExtError
| extern

Definition at line 45 of file ossl_x509ext.c.

Referenced by Init_ossl_x509ext(), and ossl_x509ext_new().

## ◆ eX509NameError

VALUE eX509NameError
| extern

Definition at line 36 of file ossl_x509name.c.

Referenced by Init_ossl_x509name(), and ossl_x509name_new().

## ◆ eX509ReqError

VALUE eX509ReqError
| extern

Definition at line 31 of file ossl_x509req.c.

Referenced by Init_ossl_x509req().

## ◆ eX509RevError

VALUE eX509RevError
| extern

Definition at line 31 of file ossl_x509revoked.c.

Referenced by DupX509RevokedPtr(), Init_ossl_x509revoked(), and ossl_x509revoked_new().

## ◆ eX509StoreError

VALUE eX509StoreError
| extern

Definition at line 106 of file ossl_x509store.c.

Referenced by Init_ossl_x509store().

## ◆ mX509

VALUE mX509
| extern

Definition at line 12 of file ossl_x509.c.

Referenced by Init_ossl_x509(), Init_ossl_x509attr(), Init_ossl_x509cert(), Init_ossl_x509crl(), Init_ossl_x509ext(), Init_ossl_x509name(), Init_ossl_x509req(), Init_ossl_x509revoked(), and Init_ossl_x509store().